<div [formGroup]="form" class="d-form">

  <div [ngSwitch]="element.controlType" class="box-c">
    <label for="{{element.key}}" class="d-form__label">
      <span class="icon img_name"></span>
      <span *ngIf="element.required" class="red">* </span> {{element.label}}
    </label>
    <input *ngSwitchCase="'textbox'"
           class="form-control gr-input"
           [formControlName]="element.key"
           [type]="element.type" placeholder="{{element.label}}">

    <textarea *ngSwitchCase="'textarea'"
              class="form-control gr-input"
              [formControlName]="element.key"
              placeholder="{{element.label}}">
        </textarea>

    <select *ngSwitchCase="'dropdown'"
            class="form-control gr-input"
            [id]="element.key"
            [formControlName]="element?.key">
      <option *ngFor="let opt of element.options" [value]="opt.id">
        {{opt.name}}
      </option>
    </select>

  </div>

</div>
